您好,欢迎访问代理记账网站
移动应用 微信公众号 联系我们

咨询热线 -

电话 15988168888

联系客服
  • 价格透明
  • 信息保密
  • 进度掌控
  • 售后无忧

js: flow开始

官网: 链接

安装

npm install --save-dev flow-bin
在 package.json加入
  "scripts": {
    "flow": "flow"
  }
npm run flow init
npm run flow

报错–npm run flow

需要在文件中第一行添加 // @flow 才能生效
vscode可能会报错,可以进行关闭 settings中搜索javascript validate取消第一个勾选

// test.js 添加了类型注解

// @flow

function test(q: number, b:number ) {
  return q + b
}
test('asdf', 1)

移除类型注解
由于直接运行有类型注解的代码会报错
方法一:

npm install --save-dev flow-remove-types
yarn run flow-remove-types src/ -d lib/

方法二:如果项目有安装babel可以

yarn add --dev @babel/core @babel/cli @babel/preset-flow
yarn babel src -d dist

数据类型

类型注解。必看

运行环境api
js库自身成员声明文件: https://github.com/facebook/flow/blob/main/lib/core.js
不同环境的声明文件:
https://github.com/facebook/flow/blob/main/lib/dom.js
https://github.com/facebook/flow/blob/main/lib/bom.js
https://github.com/facebook/flow/blob/main/lib/cssom.js
https://github.com/facebook/flow/blob/main/lib/node.js

分享:

低价透明

统一报价,无隐形消费

金牌服务

一对一专属顾问7*24小时金牌服务

信息保密

个人信息安全有保障

售后无忧

服务出问题客服经理全程跟进